<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="inways-outways-page">
        <div class="inways-outways-page__actions-bar">
            <a
                href="/inways-outways/inways"
                class="inways-outways-page__actions-bar__button button--secondary {{ if eq .SelectedTab "inways" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-inway" "icon icon--inline" }}
                {{ i18n "Inways" }}
                {{ if eq .SelectedTab "inways" }}
                    ({{ .Amount }})
                {{ end }}
            </a>

            <a
                href="/inways-outways/outways"
                class="inways-outways-page__actions-bar__button button--secondary {{ if eq .SelectedTab "outways" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-outway" "icon icon--inline" }}
                {{ i18n "Outways" }}
                {{ if eq .SelectedTab "outways" }}
                    ({{ .Amount }})
                {{ end }}
            </a>
        </div>

        <table>
            <thead>
                <tr>
                    {{ if eq .SelectedTab "outways" }}
                        <th class="inways-outways-page__publications-table__">
                            {{ i18n "Name" }}
                        </th>
                        <th
                            class="inways-outways-page__publications-table__column"
                        >
                            {{ i18n "Public Key Thumbprint" }}
                        </th>
                        <th
                            class="inways-outways-page__publications-table__contract-status-column"
                        ></th>
                        <th></th>
                    {{ else }}
                        <th
                            class="inways-outways-page__publications-table__column"
                        >
                            {{ i18n "Name" }}
                        </th>
                        <th
                            class="inways-outways-page__publications-table__column"
                        >
                            {{ i18n "Address" }}
                        </th>
                        <th
                            class="inways-outways-page__publications-table__contract-status-column"
                        ></th>
                        <th></th>
                    {{ end }}
                </tr>
            </thead>
            <tbody>
                {{ if eq .SelectedTab "outways" }}
                    {{ range $i, $outway := .Outways }}
                        <tr>
                            <td
                                class="inways-outways-page__publications-table__column"
                            >
                                {{ $outway.Name }}
                            </td>
                            <td
                                id="outway_public_key_thumbprint_{{ $i }}"
                                class="inways-outways-page__publications-table__column"
                            >
                                {{ $outway.PublicKeyThumbprint }}
                            </td>
                            <td
                                class="inways-outways-page__publications-table__contract-status-column"
                            >
                                <a
                                    href="#"
                                    data-copy-on-click="outway_public_key_thumbprint_{{ $i }}"
                                    onclick="copyToClipboard('outway_public_key_thumbprint_{{ $i }}')"
                                    title="{{ i18n "Copy to clipboard" }}"
                                >
                                    {{ svg "icon-copy" "icon icon--inline" }}
                                </a>
                            </td>
                            <td></td>
                        </tr>
                    {{ end }}
                {{ else }}
                    {{ range .Inways }}
                        <tr>
                            <td
                                class="inways-outways-page__publications-table__column"
                            >
                                {{ .Name }}
                            </td>
                            <td
                                class="inways-outways-page__publications-table__column"
                            >
                                {{ .Address }}
                            </td>
                            <td
                                class="inways-outways-page__publications-table__contract-status-column"
                            ></td>
                            <th></th>
                        </tr>
                    {{ end }}
                {{ end }}
            </tbody>
        </table>
    </div>
{{ end }}
